<?php

#-----------------------------------------------------#

#          ********* ramzes.h2m.ru *********          #

#             Made by   :  hellsing and ramzes        #

#               E-mail  :  ra9cak@mail.ru.ru          #

#                                                     #

#             WAP-Site  :  http://ramzes.h2m.ru       #

#                  ICQ  : ???-???-???                 #

#  Вы не имеете право вносить изменения в код скрипта #

#-----------------------------------------------------#

require_once"../template/start.php";

require_once"../template/regglobals.php";

require_once"../template/config.php";

require_once"../template/functions.php";

require_once"../template/maincore.php";

require_once"../template/antidos.php";

require_once"../template/cookies.php";

require_once"../template/gzip.php";

require_once"../template/header.php";

require_once"../template/referer.php";

include_once"../themes/$config_themes/index.php";

include_once"rus_nick.php";

require_once"../template/isset.php";

$text = @file("../local/profil/$log.prof");

if ($text!=""){

$udata = explode(":||:",$text[0]);

$provlog=trim($udata[0]);

$provpar=trim($udata[1]);

$dostup=trim($udata[7]);

$privat=trim($udata[10]);

}



if (md5($_SESSION['par'])!==$provpar || $_SESSION['log']!==$provlog || $_SESSION['log']=="" || md5($_SESSION['par'])==""){$guest1=1;}



$date=date("d.m");

$time=date("H:i");

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {

$name=$log;

if(isset($_GET['event'])){

if (isset ($_GET['msg']) or isset ($_GET['name'])){header ("Location: index.php?r=$r&fid=$fid&isset=nopost&".SID); exit;}

if (($_GET['event']=="addtopic") or ($_GET['event']=="addanswer") or ($_GET['event']=="topiced"))  {



//--------------------- Новый антифлуд -----------------------------//

if($config_floodstime > 0){

if(flooder($ip, $php_self) == TRUE ){header ("Location: index.php?fid=$fid&isset=antiflood&".SID); exit;}

$flood_file = fopen(BASEDIR."local/flood.dat", "a+");

flock ($flood_file,LOCK_EX);

fputs ($flood_file, "$time|$ip|$php_self|\r\n");

fflush($flood_file);

flock ($flood_file,LOCK_UN);

fclose($flood_file);

}





//------------------------------ Запись в профиль ----------------------------//

$ufile = file(BASEDIR."local/profil/$log.prof");

$udata = explode(":||:",$ufile[0]);



$udata[14]=$ip;

$udata[8]++;

$udata[36]++;

$udata[41]++;



for ($u=0; $u<$config_userprofkey; $u++){

$utext.=$udata[$u].':||:';}



if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){

$fp=fopen(BASEDIR."local/profil/$log.prof","a+");

flock($fp,LOCK_EX);

ftruncate($fp,0);

fputs($fp,$utext);

fflush($fp);

flock($fp,LOCK_UN);

fclose($fp);

unset($utext);

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////

$f = file("../local/local.dat");

$u = explode("|",$f[0]);

$u[2]++;

$t= $u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';



$fp = fopen("../local/local.dat","a+");

flock ($fp,LOCK_EX);

ftruncate ($fp,0);

fputs($fp,$t);

fflush ($fp);

flock ($fp,LOCK_UN);

fclose($fp);

chmod($fp, 0777);

chmod("../local/local.dat", 0777);





$msg=$_POST['msg']; $fid=$_GET['fid']; $r=$_GET['r'];



if (isset($_POST['page'])) {$page=$_POST['page'];}

if ($_GET['event']=="addanswer" || $_GET['event']=="topiced") {$id=$_POST['id'];

//------------------------ Проверка существования темы --------------------//

$provfile=file("../local/dataforum/$id.dat");

$provfile = array_reverse($provfile);

$provmas = explode("|",$provfile[0]);

$zag=$provmas[3];

///////      ПРОВЕРКА СТАТУСА ТЕМЫ       ///////////////////////

$locked=str_replace("\r\n","",$provmas[10]);

///////////////////////////////////////////////////////////////





if (!ctype_digit($id)) {

header ("Location: index.php?".SID); //ПОПЫТКА ВЗЛОМА

exit;}}



if (!ctype_digit($fid)) { header ("Location: index.php?".SID); //ПОПЫТКА ВЗЛОМА

exit;}



if (!ctype_digit($r)) { header ("Location: index.php?".SID); //ПОПЫТКА ВЗЛОМА

exit;}





$mainlines = file("../local/dataforum/mainforum$r.dat"); $i=count($mainlines);

do {$i--; $dt=explode("|", $mainlines[$i]);

if ($dt[0]==$fid) {$realfid=$i; if ($dt[1]=="razdel") {

header ("Location: index.php?".SID); //ПОПЫТКА ВЗЛОМА

exit;}}

} while($i>0);



if (!isset($realfid)) {

header ("Location: index.php?".SID); //ОШИБКА

exit;}





if ($zag=="" || strlen($zag) > "100") {



header ("Location: index.php?r=$r&fid=$fid&isset=nopost&".SID);

exit;}



if ($msg=="" || strlen($msg) > "4800") {

header ("Location: index.php?r=$r&fid=$fid&isset=nopost&".SID);

exit;}



if ($_GET['event'] =="addtopic") {$tt=explode(' ', microtime()); $ttt="$tt[1]"+"$tt[0]"; $ttf=str_replace(".", "", $ttt); $id=$ttf;}



$tektime=time();

if ($r1=="pc") {

require_once"upload.php";

$userfile=check($_FILES['userfile']['name']);}

else{

require_once"upload2.php";

$userfile=check($filename);	}









$brow=check($brow);

$name=check($name);

$msg=check($msg);

$skryt=check($skryt);

$zag=check_full($zag);



$msg=preg_replace ("|[\r\n]+|si","<br>",$msg);

$zag=preg_replace ("|[\r\n]+|si","",$zag);

$msg=str_replace("

","<br>",$msg);

$msg=str_replace("Вп��","<br>",$msg);

if($trans=="y"){$msg=transliter($msg);}

$msg = antimat($msg);

$msg = smiles($msg);

//$zag=utf_to_win($zag); $zag==wordwrap($zag,60,' ',1); $zag=win_to_utf($zag);

//$msg=utf_to_win($msg); $msg=wordwrap($msg,100,' ',1); $msg=win_to_utf($msg);



$mio="[$brow, $ip]";

if (isset($_POST['locked']) && $_POST['locked']=="ON")

{ $locked="ON";}

else { $locked="OFF";}

$text="$name|рус|$mio|$zag|$msg|$date|$sitetime|$id|$fid|$tektime|$locked|$r|$userfile|$ext1|$skryt|";

$text=stripslashes($text);



if ($event=="topiced")  {

$file=file("../local/dataforum/$id.dat");

$ffile=explode("|",$file[$topiced]);

$fs=count($file)-1;

$i="-1";

if (isset($redq) && $redq=="yes"){

$msg=str_replace($msg, $msg.'<br><small><font color="red">Отредактировано: '.nicknamed($log,$number).' ('.$currDate.'/'.$currTime.')</font></small>', $msg);



$text="$ffile[0]|рус|$mio|$zag|$msg|$date|$time|$id|$fid|$tektime|$locked|$r|$userfile|$ext1|$skryt|";

}



$fp=fopen("../local/dataforum/$id.dat","a+");

flock ($fp,LOCK_EX);

ftruncate ($fp,0);

do {$i++; if ($i==$topiced) {fputs($fp,"$text\r\n");} else {fputs($fp,$file[$i]);} } while($i < $fs);

fflush ($fp);

flock ($fp,LOCK_UN);

fclose($fp);

chmod("$fp", 0777);

unset($text);

header ("Location: index.php?event=topic&r=$r&fid=$fid&id=$id&page=$page&".SID);



//Сообщение успешно изменено!

include_once"../themes/$config_themes/foot.php";

exit; }









$exd=explode("|",$text); $name=$exd[0]; $zag=utf_to_win($exd[3]);

if (strlen($zag)>36) {$zag=substr($zag,0,30); $zag.="...";}

$zag=win_to_utf($zag);



$lines=file("../local/dataforum/mainforum$r.dat");

$dt=explode("|", $lines[$realfid]); $dt[5]++;







if ($_GET['event']=="addtopic") {$dt[4]++;}



$txtdat="$dt[0]|$dt[1]|$dt[2]|$id|$dt[4]|$dt[5]|$name|$date|$sitetime|$tektime|$zag|$r";



$fp=fopen("../local/dataforum/mainforum$r.dat","a+");

flock ($fp,LOCK_EX);

ftruncate ($fp,0);

for ($i=0;$i<=(sizeof($lines)-1);$i++) {if ($i==$realfid) {fputs($fp,"$txtdat\r\n");} else {fputs($fp,$lines[$i]);}}

fflush ($fp);

flock ($fp,LOCK_UN);

fclose($fp);

@chmod("$fp", 0777);

@chmod("../local/dataforum/mainforum$r.dat", 0777);

}





if ($_GET['event']=="addtopic")  {

$fp=fopen("../local/dataforum/topic$fid-$r.dat","a+");

flock ($fp,LOCK_EX);

fputs($fp,"$text\r\n");

fflush ($fp);

flock ($fp,LOCK_UN);

fclose($fp);

@chmod("$fp", 0777);

@chmod("../local/dataforum/topic$fid-$r.dat", 0777);



///////////////////////////////

//новый блок авто-удаления старых тем

$dfile=file("../local/dataforum/topic$fid-$r.dat");

$di = count($dfile);





if ($di>$config_topforum) {

$dudata0 = explode("|",$dfile[0]);

$dudata1 = explode("|",$dfile[1]);



unlink ("../local/dataforum/$dudata0[7].dat");

unlink ("../local/dataforum/$dudata1[7].dat");



$dfp=fopen("../local/dataforum/topic$fid-$r.dat","w");

flock ($dfp,LOCK_EX);

unset($dfile[0]);

unset($dfile[1]);

fputs($dfp, implode("",$dfile));

flock ($dfp,LOCK_UN);

fclose($dfp);



}

///////////////////////////////////////



$fp=fopen("../local/dataforum/$id.dat","a+");

flock ($fp,LOCK_EX);

fputs($fp,"$text\r\n");

fflush ($fp);

flock ($fp,LOCK_UN);

fclose($fp);

@chmod("$fp", 0777);

@chmod("../local/dataforum/$id.dat", 0777);

////////////////////////////////////////////////////////////////////////////////////



header ("Location: index.php?r=$r&fid=$fid&id=$id&isset=oktem&".SID);

exit;}









if ($event=="addanswer")  {



###########################

$lines2=file("../local/dataforum/$id.dat");

$lines2=array_reverse($lines2);

$ddd=explode("|", $lines2[0]);

if ($ddd[9]=="CLOSED"){

header ("Location: index.php?r=$r&fid=$fid&isset=zakr&".SID);

exit;}

###################################



$fp=fopen("../local/dataforum/$id.dat","a+");

flock ($fp,LOCK_EX);

fputs($fp,"$text\r\n");

fflush ($fp);

flock ($fp,LOCK_UN);

fclose($fp);

@chmod("$fp", 0777);





//-------------------- Перемещение топиков при обновлении-----------------------------//

$file=file("../local/dataforum/topic$fid-$r.dat");

$i = count($file);





$udata = explode("|",$file[0]);



foreach($file as $index => $val){

$udata = explode("|",$file[$index]);

$udata2 = explode("|",$text);

if($udata[7]==$udata2[7]){







$fp=fopen("../local/dataforum/topic$fid-$r.dat","w");

flock ($fp,LOCK_EX);

unset($file[$index]);

fputs($fp, implode("",$file));

flock ($fp,LOCK_UN);

fclose($fp);

chmod("$fp", 0777); }

}



$fp=fopen("../local/dataforum/topic$fid-$r.dat","a+");

flock ($fp,LOCK_EX);

fputs($fp,"$text\r\n");

fflush ($fp);

flock ($fp,LOCK_UN);

fclose($fp);

chmod("$fp", 0777);

$filo=file("../local/dataforum/$id.dat");

$di=count($filo);

$paga=(round($di/$config_forumpost))*$config_forumpost;

if ($paga>=$di) $paga=$paga-$config_forumpost;



header ("Location: index.php?r=$r&fid=$fid&id=$id&page=$paga&isset=addon&".SID);

exit;}}}







/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

///новый приват///

//if (!$log=="" && !md5($par)=="" && md5($par)==$provpar && $log==$provlog) {



//if($udata[10]>0){



//echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}



///новый приват///











if (isset($fid)) {



$mainlines=file("../local/dataforum/mainforum$r.dat");



$i=count($mainlines);

if (!ctype_digit($fid)) {

echo'<br><br>Попытка взлома. Идите нахуй.';

include_once"../themes/$config_themes/foot.php";

exit;}



do {$i--; $dt=explode("|", $mainlines[$i]);

if ($dt[0]==$fid) {$frname=$dt[1];}

} while($i >0);





if (isset($id)) {

if (!ctype_digit($id)) {

echo'<br><br>Попытка взлома. Идите нахуй.';

include_once"../themes/$config_themes/foot.php";

exit;}



if (is_file("../local/dataforum/$id.dat")) {$lines=file("../local/dataforum/$id.dat"); $dtt=explode("|", $lines[0]); $frtname=$dtt[3]; $frtname.=" ->";} else {$frtname=""; $frname="";}} else {$frtname="";} } else {$frname=""; $frtname="";}



if (!isset($_GET['event']) && !isset($_GET['r'])) {

echo'<img src="../images/img/menu.gif" alt=""> Форум '.$config_title.'<br><br>';



echo'<div class=b><a href="index.php?list=open&amp;'.SID.'">[+]</a>Мои темы</br></div>';

$forum = file("../local/forum.dat");



$i=count($forum);

$n="0"; $a1="-1"; $u=$i-1;

do {$a1++; $da=explode("|", $forum[$a1]);

if (is_file("../local/dataforum/mainforum$da[0].dat")){

$ff = file("../local/dataforum/mainforum$da[0].dat");

$ii=count($ff);

$numn=0; $iii=0; $numnp=0;

while($ff[$iii]){

$mnfor=explode("|", $ff[$iii]);

if($mnfor[4]!=="") {$numn+=$mnfor[4]; $numnp+=$mnfor[5];}

$iii++;}

//////////////////////////////





if ($list=="open") {require_once"mythem.php";}



echo"<div class=b><img src=\"../images/img/forums.gif\" alt=\"\"> <b><a href=\"index.php?r=$da[0]&amp;".SID."\">$da[1]</a></b> ($numn/$numnp)";



$tfor=0; $ih="";$i=0;

while ($ff[$i]){

$mfor=explode("|", $ff[$i]);

if($mfor[9]>$tfor) {$tfor=$mfor[9]; $ih=$i;}

$i++;}

$dt=explode("|", $ff[$ih]);

//-----------------------------------------



////////////////////////////////





$filo=file("../local/dataforum/$dt[3].dat");

$di=count($filo);

$paga=(round($di/$config_forumpost))*$config_forumpost;

if ($paga>=$di) $paga=$paga-$config_forumpost;



echo '</div>Тема: <a href="index.php?event=topic&amp;r='.$da[0].'&amp;fid='.$dt[0].'&amp;id='.$dt[3].'&amp;page='.$paga.'&amp;'.SID.'">'.$dt[10] .'</a>';





//--------------------------------------------------------



if ($dt[10]=="") echo 'не созданы';

if ($dt[7]==$date) {$dt[7]='<b>Сегодня</b>';}

echo '<br>';

echo 'Пост: '.nicknamed($dt[6],$number);

if ($dt[6]=="") echo 'не созданы';

echo ' ['.date_fixed($dt[8]).']';

}

} while($a1 < $u);

echo '<hr>';

}







if (isset($_GET['r']) and !isset($fid) and !isset($id))  {

$r=$_GET['r'];





if (!is_file("../local/dataforum/mainforum$r.dat")) {

echo'<br><br>Разделы форума не созданы!';

include_once"../themes/$config_themes/foot.php";

exit;}



$lines=file("../local/dataforum/mainforum$r.dat");

$datasize=sizeof($lines);

if ($datasize==0) {

echo'<br><br>Разделы форума не созданы!';

include_once"../themes/$config_themes/foot.php";

exit;}



$i=count($lines);

$n="0"; $a1="-1"; $u=$i-1;

$fid="0"; $itogotem="0"; $itogomsg="0";

echo'<img src="../images/img/menu.gif" alt=""> Форум '.$config_title.'<br><br>';

####################

$r=(int)$r;

$mainfor=file("../local/forum.dat");

$kf=count($mainfor);

$az1='-1';

$ux=$kf-1;



do {$az1++;

$yy=explode("|", $mainfor[$az1]);

if ($yy[0]==$r){$forr=$yy[1];}} while($az1 < $ux);

######################

echo '<b><a href="index.php'.SID.'">Форум</a></b> | ';

echo '<b>'.$forr.'</b>';

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo ' | <a href="../'.$config_mpanel.'/forum.php?r='.$r.'&amp;'.SID.'">Админка</a>';}

echo '<br><hr>';



do {$a1++; $dt=explode("|", $lines[$a1]);



if ($dt[1]=="razdel") {echo "$dt[2]";} else {



if (is_file("../local/dataforum/$dt[3].dat")) { $msgsize=sizeof(file("../local/dataforum/$dt[3].dat"));



############*

/*

$lin=file("../local/dataforum/$dt[3].dat");

$lin=array_reverse($lin);

$dc=explode("|", $lin[0]);

if (($dc[0]=="Администрация") && ($dc[2]=="[Localhost]") && ($dc[4]=="Тема закрыта для обсуждения!")){

$msgsize=$msgsize-1;}

##############



*/

if ($msgsize>$config_forumpost) {for($zi=0; $zi<$msgsize;) {$zii=1+$zi/$config_forumpost; $page=$zi; $zi=$zi+$config_forumpost;}} else {$page=0;}} else {$page=0;}



if ($dt[7]==$date) {$dt[7]='<b>Сегодня</b>';}

$fid="$dt[0]";

if (strlen($dt[10])>0) {$dt[10]='<a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;id='.$dt[3].'&amp;page='.$page.'&amp;'.SID.'">'.$dt[10].'</a><br>';

}

echo '</div><div class=b><img src="../images/img/forums.gif" alt=""> <b><a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'">'.$dt[1].'</a></b> ';

echo ' ['.$dt[4].'/'.$dt[5].']</div><div>';

echo 'Тема: '.$dt[10];

if ($dt[10]=="") echo 'не созданы<br>';

echo 'Пост: '.nicknamed($dt[6],$number);

if ($dt[6]=="") echo 'не созданы';

echo '['.date_fixed($dt[8]).']';



$itogotem=$itogotem+$dt[4];

$itogomsg=$itogomsg+$dt[5];

}

} while($a1 < $u);

echo'<hr>';

}



if (isset($_GET['r']) and isset($_GET['fid']) and !isset($_GET['id'])) {



$r=$_GET['r']; if (!ctype_digit($r)) {

echo'<br><br>Попытка взлома. Хакерам здесь не место.';

include_once"../themes/$config_themes/foot.php";

exit;}



$fid=$_GET['fid']; if (!ctype_digit($fid)) {

echo'<br><br>Попытка взлома. Хакерам здесь не место.';

include_once"../themes/$config_themes/foot.php";

exit;}



$imax=count(file("../local/dataforum/mainforum$r.dat")); if (($fid>100) or (strlen($fid)==0)) { echo'<br><br>Раздел удален или не существует!';

include_once"../themes/$config_themes/foot.php";

exit;}

####################

$r=(int)$r;

$mainfor=file("../local/forum.dat");

$kf=count($mainfor);

$az1='-1';

$ux=$kf-1;



do {$az1++;

$yy=explode("|", $mainfor[$az1]);

if ($yy[0]==$r){$forr=$yy[1];}} while($az1 < $ux);

######################







echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> <a href="index.php?'.SID.'">Форум</a> | ';

echo '<a href="index.php?r='.$r.'&amp;'.SID.'">'.$forr.'</a> | ';

echo '<a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'">'.$frname.'</a> | ';

echo '<a href="addtem.php?r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'">Создать тему</a>';

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo ' | <a href="../'.$config_mpanel.'/forum.php?r='.$r.'&amp;fid='.$fid.'&amp;page='.$page.'&amp;'.SID.'">Админка</a>';}

echo '<br><hr>';



if (is_file("../local/dataforum/topic$fid-$r.dat"))

{

$msglines=file("../local/dataforum/topic$fid-$r.dat");

if (count($msglines)>0) {



$lines=file("../local/dataforum/topic$fid-$r.dat");

///////////////////////////////////////////////////////////////////

$ups=0;

while (isset($lines[$ups]))

{ $well=explode("|", $lines[$ups]);

if ( !ereg ("ON" , $well[10]))

{ $unlines[]= $lines[$ups]; }

$ups++;

}

$ups=0;

while (isset($lines[$ups]))

{ $well=explode("|", $lines[$ups]);

if ( ereg ("ON" , $well[10]))

{ $unlines[]= $lines[$ups]; }

$ups++;

}

unset($lines);

$lines=$unlines;

////////////////////////////////////////////////////////////////////

$i=count($lines); $n="0";

if (isset($_GET['page'])) {$page=$_GET['page'];} else {$page="0";}

if ($page>=$i) {$page=$i-1;}

if ($i-$page-$config_forumtem>=0) {$a1=$i-$page; $u=$a1-$config_forumtem;} else {$a1=$i-$page; $u=0;}

do {$a1--; $dt=explode("|", $lines[$a1]);







$filename=$dt[7];

$msgsize=sizeof(file("../local/dataforum/$filename.dat"));

if (is_file("../local/dataforum/$filename.dat")){



echo '<div class=b>';

#########################

$lin=file("../local/dataforum/$filename.dat");

$lin=array_reverse($lin);

$dc=explode("|", $lin[0]);

if (ereg("ON",$dc[10]))

{ echo '<img src="../images/img/lock.gif" alt=""> ';}

if ($dc[9]=="CLOSED")

{echo '<img src="../images/img/zakr.gif" alt=""> ';}

elseif(!ereg("ON",$dc[10]))

{echo '<img src="../images/img/forums.gif" alt=""> ';}

##########################################





echo '<a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;id='.$dt[7].'&amp;'.SID.'">'.$dt[3].'</a>  [Постов: '.$msgsize.']</div>';



//////////////////////////////////////////////////////

//if($msgsize>1){$tots=$msgsize-1;}else{$tots=$msgsize;}

$ba=ceil($msgsize/$config_forumpost);

$ba2=floor(($msgsize-1)/$config_forumpost)*$config_forumpost;



echo'Страницы:';

$asd2=$page+($config_forumpost*5);

for($i=0; $i<$asd2;)

{

if($i<$msgsize && $i>=0){

$ii=floor(1+$i/$config_forumpost);

echo ' <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;id='.$dt[7].'&amp;page='.$i.'&amp;'.SID.'">'.$ii.'</a>';

}

$i=$i+$config_forumpost;}

if($asd2<$msgsize){echo ' ... <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;id='.$dt[7].'&amp;page='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}



if ($msgsize>=2) {$linesdat=file("../local/dataforum/$filename.dat");

$dtdat=explode("|", $linesdat[$msgsize-1]);

$dt[0]=$dtdat[0];

$dt[1]=$dtdat[1];

$dt[2]=$dtdat[2];

$dt[5]=$dtdat[5];

$dt[6]=$dtdat[6];



}



if ($dt[5]==$date) {$dt[5]='<b>Сегодня</b>';}

echo '<br>Пост: '.nicknamed($dt[0],$number).' <b>['.date_fixed($dt[6]).']</b><br>';

}

} while($a1 > $u);

//----------------------------Вывод всех тем форума------------------------//

$lines=file("../local/dataforum/topic$fid-$r.dat");

$a=count($lines);

$ba=ceil($a/$config_forumtem);

$ba2=floor($a/$config_forumtem)*$config_forumtem;

echo '<br>';







echo'<hr>Страницы:';

$asd=$page-($config_forumtem*2);

$asd2=$page+($config_forumtem*3);



if($asd<$a && $asd>0){echo ' <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;page=0&amp;'.SID.'">1</a> ... ';}



for($i=$asd; $i<$asd2;)

{

if($i<$a && $i>=0){

$ii=floor(1+$i/$config_forumtem);



if ($page==$i) {

echo ' <b>('.$ii.')</b>';

}

else {

echo ' <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;page='.$i.'&amp;'.SID.'">'.$ii.'</a>';

}}





$i=$i+$config_forumtem;}

if($asd2<$a){echo ' ... <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;page='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}

///////////////////////////////////////////////////////



echo'<br><hr><a href="#up"><img src="../images/img/ups.gif" alt=""></a> <a href="addtem.php?r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'">Создать тему</a> | ';

}}

}

if (isset($_GET['r']) and isset($_GET['fid']) and isset($_GET['id'])) {



$r=$_GET['r']; $fid=$_GET['fid']; $id=$_GET['id'];

if (!ctype_digit($r) or !ctype_digit($fid) or !ctype_digit($id)) {

echo'<br><br>Попытка взлома. Идите нахуй.';

include_once"../themes/$config_themes/foot.php";

exit;}



if (!is_file("../local/dataforum/$id.dat")) {

//Тема удалена модератором!

header ("Location: index.php?fid=$fid&isset=delthemes&".SID);

exit; }



else {

$lines=file("../local/dataforum/$id.dat");

########################

$lines2=file("../local/dataforum/$id.dat");

$lines2=array_reverse($lines2);

$ddd=explode("|", $lines2[0]);

if ($ddd[9]=="CLOSED"){

echo '<b><font color="red">Тема закрыта</font></b><br>';

}

if ($ddd[8]!==$fid){

echo'<br><br>Попытка взлома. Буйствуйте на другом сайте.';

include_once"../themes/$config_themes/foot.php";

exit;}

$prrazd=$ddd[11];

$prrazd2=$r;

settype($prrazd,integer);

settype($prrazd2,integer);



if ($prrazd!==$prrazd2){

echo'<br><br>Попытка взлома. Буйствуйте на другом сайте.';

include_once"../themes/$config_themes/foot.php";

exit;}





##################





if (count($lines)>0) {



$lines=file("../local/dataforum/$id.dat");

$tempost=explode("|", $lines[0]);

$tempost[4] = preg_replace('#<br><small><font color="red">Отредактировано(.*?)</font></small>#si', '', $tempost[4]);

$tempost[4] = eregi_replace("\[url\][[:space:]]*(http://)?([^\\[]*)[[:space:]]*\[/url\]", "<a href=\"http://\\2/\" target=\"_blank\">\\2</a>", $tempost[4]);

$tempost[4] = eregi_replace("\\[url=([^\\[]*)\\]([^\\[]*)\\[/url\\]","<a href=\"\\1\" target=_blank>\\2</a>", $tempost[4]);

$tempost[4] = preg_replace("#([\n ])([a-z]+?)://([a-z0-9\-\.,\?!%\*_\#:;BTW I like men.\\&$@\/=\+]+)#i", "\\1<a href=\"\\2://\\3\" target=\"_blank\">\\2://\\3</a>", $tempost[4]);

$tempost[4] = preg_replace("#([\n ])www\.([a-z0-9\-]+)\.([a-z0-9\-.\BTW I like men.]+)((?:/[a-z0-9\-\.,\?!%\*_\#:;RTFM man.\\&$@\/=\+]*)?)#i", "\\1<a href=\"http://www.\\2.\\3\\4/\" target=\"_blank\">www.\\2.\\3\\4</a>", $tempost[4]);

$tempost[4] = preg_replace('#\[em\](.*?)\[/em\]#si', '<em>\1</em>', $tempost[4]);

$tempost[4] = preg_replace('#\[red\](.*?)\[/red\]#si', '<font color="red">\1</font>', $tempost[4]);

$tempost[4] = preg_replace('#\[blue\](.*?)\[/blue\]#si', '<font color="blue">\1</font>', $tempost[4]);

$tempost[4] = preg_replace('#\[quote=(.*?)\](.*?)\[/quote\]#si', '<font color="#333399"><u>\\1 пишет:</u><br><< <i>\\2</i> >></font><br>', $tempost[4]);

$tempost[4] = preg_replace('#\[cit\](.*?)\[/cit\]#si', '<br><div class="d"><i><< \1 >></i></div><br><b>Ответ:</b> ', $tempost[4]);

$tempost[4] = preg_replace('#\[green\](.*?)\[/green\]#si', '<font color="green">\1</font>', $tempost[4]);

$tempost[4] = preg_replace('#\[grey\](.*?)\[/grey\]#si', '<font color="grey">\1</font>', $tempost[4]);

$tempost[4] = preg_replace('#\[yellow\](.*?)\[/yellow\]#si', '<font color="yellow">\1</font>', $tempost[4]);

$tempost[4] = str_replace("[big]", "", $tempost[4]);

$tempost[4] = str_replace("[/big]", "", $tempost[4]);

$tempost[4] = str_replace("[small]", "", $tempost[4]);

$tempost[4] = str_replace("[/small]", "", $tempost[4]);

$tempost[4] = str_replace("[code]", " ", $tempost[4]);

$tempost[4] = str_replace("[/code]", " ", $tempost[4]);

$tempost[4] = eregi_replace("\\[img=([^\\[]*)\\]([^\\[]*)\\[/img\\]","<a href=\"http://\\1/\" target=\"_blank\">\\1</a>", $tempost[4]);

$tempost[4] = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $tempost[4]);

$tempost[4] = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $tempost[4]);

$tempost[4] = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $tempost[4]);

//==================================================



$lines2=array_reverse($lines);

$ddd=explode("|", $lines2[0]);

$i=count($lines); $n="0"; $tblstyle="row1";

if (isset($_GET['page'])) {$page=$_GET['page'];} else {$page="0";}

if ($page>=$i) {$page=(round($i/$config_forumpost))*10;}

if ($i<=$config_forumpost) {$page="0";}

if ($page>=1) {$a1=$page;} else {$a1=0;}

if (($a1+$config_forumpost)<$i) {$u=$a1+$config_forumpost;} else {$u=$i;}

do {$dt=explode("|", $lines[$a1]);

//////////////////////////////////////////////////////////////

$statwho='<font color="red">[Off]</font>';

$sublines=file("../local/online.dat");

$subcount=count($sublines);

for ($b=0; $b<$subcount; $b++) {$dtd=explode("#",$sublines[$b]); if ($dt[0]==$dtd[2])

{$statwho='<font color="#00FF00">[On]</font>';}}

///////////////////////////////////////////////////////////////





if($data[1]!==$config_guestsuser){ //отключаем bb-код для гостей

$dt[4] = eregi_replace("\[url\][[:space:]]*(http://)?([^\\[]*)[[:space:]]*\[/url\]", "<a href=\"http://\\2/\" target=\"_blank\">\\2</a>", $dt[4]);

$dt[4] = eregi_replace("\\[url=([^\\[]*)\\]([^\\[]*)\\[/url\\]","<a href=\"\\1\" target=_blank>\\2</a>", $dt[4]);

$dt[4] = preg_replace("#([\n ])([a-z]+?)://([a-z0-9\-\.,\?!%\*_\#:;BTW I like men.\\&$@\/=\+]+)#i", "\\1<a href=\"\\2://\\3\" target=\"_blank\">\\2://\\3</a>", $dt[4]);

$dt[4] = preg_replace("#([\n ])www\.([a-z0-9\-]+)\.([a-z0-9\-.\BTW I like men.]+)((?:/[a-z0-9\-\.,\?!%\*_\#:;RTFM man.\\&$@\/=\+]*)?)#i", "\\1<a href=\"http://www.\\2.\\3\\4/\" target=\"_blank\">www.\\2.\\3\\4</a>", $dt[4]);

$dt[4] = preg_replace('#\[em\](.*?)\[/em\]#si', '<em>\1</em>', $dt[4]);

$dt[4] = preg_replace('#\[red\](.*?)\[/red\]#si', '<font color="red">\1</font>', $dt[4]);

$dt[4] = preg_replace('#\[blue\](.*?)\[/blue\]#si', '<font color="blue">\1</font>', $dt[4]);

$dt[4] = preg_replace('#\[cit\](.*?)\[/cit\]#si', '<br><div class="d"><i><< \1 >></i></div><br><b>Ответ:</b> ', $dt[4]);

$dt[4] = preg_replace('#\[green\](.*?)\[/green\]#si', '<font color="green">\1</font>', $dt[4]);

$dt[4] = preg_replace('#\[grey\](.*?)\[/grey\]#si', '<font color="grey">\1</font>', $dt[4]);

$dt[4] = preg_replace('#\[yellow\](.*?)\[/yellow\]#si', '<font color="yellow">\1</font>', $dt[4]);

$dt[4] = preg_replace('#\[big\](.*?)\[/big\]#si', '<big>\1</big>', $dt[4]);

$dt[4] = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $dt[4]);

$dt[4] = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $dt[4]);

$dt[4] = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $dt[4]);

$dt[4] = preg_replace('#\[small\](.*?)\[/small\]#si', '<span class=\'small\'>\1</span>', $dt[4]);

$dt[4] = preg_replace('#\[code\](.*?)\[/code\]#si', '<div class=\'e\'><code style=\'white-space:wrap\'>\1<br></code></div>', $dt[4]);

$dt[4] = preg_replace('#\[quote=(.*?)\](.*?)\[/quote\]#si', '<font color="#333399"><u>\\1 пишет:</u><br><< <i>\\2</i> >></font><br>', $dt[4]);

//==================================================

if (preg_match('#\[img=(.*?)\]\[/img\]#si',$dt[4],$all_img))

{$link=$all_img[1];

if (eregi("\.jpg$",$link) || eregi("\.gif$",$link) || eregi("\.png$",$link))

{$info=getimagesize($link);

$sh=$info[0];

$vys=$info[1];

if ($sh > $vys && $sh >200)

{$dt[4]=preg_replace('#\[img=(.*?)\]\[/img\]#si' ,'<img width=200 src="\\1" alt="">',$dt[4]);}

elseif ($vys > $sh && $vys >200)

{$dt[4]=preg_replace('#\[img=(.*?)\]\[/img\]#si' ,'<img height=200 src="\\1" alt="">',$dt[4]);}

else {$dt[4]=preg_replace('#\[img=(.*?)\]\[/img\]#si' ,'<img src="\\1" alt="">',$dt[4]);}

}

else {$dt[4]=preg_replace('#\[img=(.*?)\]\[/img\]#si' ,'<b><font color="#ff2222">[\\1-это не картинка]</font></b>',$dt[4]);}

}

//==================================================

} //отключаем bb-код для гостей





$a1++;



if ($tblstyle=="row1") {$tblstyle="row2";} else {$tblstyle="row1";}



if (!isset($m1)) {

####################

$r=(int)$r;

$mainfor=file("../local/forum.dat");

$kf=count($mainfor);

$az1='-1';

$ux=$kf-1;



do {$az1++;

$yy=explode("|", $mainfor[$az1]);

if ($yy[0]==$r){$forr=$yy[1];}} while($az1 < $ux);

######################



echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> <a href="index.php?'.SID.'">Форум</a> | <a href="index.php?r='.$r.'&amp;'.SID.'">'.$forr.'</a> | <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'">'.$frname.'</a>';

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo ' | <a href="../'.$config_mpanel.'/forum.php?event=topic&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;page='.$page.'&amp;'.SID.'">Админка</a>';}

echo '<br><hr>';



###########################

$file1=file("../local/dataforum/$id.dat");

$fs=count($file1)-1;

$dd=explode("|", $file1[$fs]);





####################################

if (ereg("ON",$dd[10]))

{ echo '<img src="../images/img/lock.gif" alt=""> ';}

if ($dd[9]=="CLOSED")

{echo '<img src="../images/img/zakr.gif" alt=""> ';}

elseif(!ereg("ON",$dd[10]))

{echo '<img src="../images/img/themes.gif" alt=""> ';}

##########################################



echo '<center><b>'.$dd[3].'</b></center><br><hr> ';

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105)

{if ($dd[9]!="CLOSED")

{echo '<div class=a><img width=10 height=10 src="../images/img/close.gif" alt=""> ';

echo '<b><a href="../'.$config_mpanel.'/forum.php?event=zakr&amp;zag='.$dt[3].'&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;'.SID.'">Закрыть тему!</a></b>';

}

else{echo '<div class=a><img width=10 height=10 src="../images/img/open.gif" alt=""> ';

echo '<b><a href="../'.$config_mpanel.'/forum.php?event=otkr&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;'.SID.'">Открыть тему!</a></b>';

}

if (ereg ("ON", $dd[10]))

{echo ' <img width=10 height=10 src="../images/img/close.gif" alt=""> ';

echo '<b><a href="../'.$config_mpanel.'/forum.php?event=unlocked&amp;zag='.$dt[3].'&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;'.SID.'">Открепить тему!</a></b></div>';

}

else{echo ' <img width=10 height=10 src="../images/img/open.gif" alt=""> ';

echo '<b><a href="../'.$config_mpanel.'/forum.php?event=locked&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;'.SID.'">Закрепить тему!</a></b></div>';

}

if ($page!=="0"){

echo'<hr><div class=b><center>';

echo '<b>Автор: <a href="../pages/anketa.php?uz='.$tempost[0].'&amp;'.SID.'">'.nicknamed($tempost[0],$number).'</a></b> <small>('.$tempost[5].'-'.$tempost[6].')</small> <br><b>Содержание:</b> ';

echo '<small>'.$tempost[4].'</small></center></div><hr>';}



}



$m1=1;}



echo'<div class=b>';



$ava = file("../local/profil/$dt[0].prof");

$avv = explode(":||:",$ava[0]);

if(!empty($udata[45])){

if($avv[43]!="" && $avv[43]!='noavatar.gif'){



echo'<img src="../'.$avv[43].'" alt=""> ';



}else{



echo'<img src="../images/avators/noavatar.gif" alt=""> '; }}



else{echo'<img src="../images/img/edit.gif" alt=""> ';}



if($avv[15]=="M"){$pcol = 555599;}



if($avv[15]=="N"){$pcol = 119911;}



if($avv[15]=="Ж"){$pcol = ff5555;}



echo '<b>'.$a1.'. <a href="../pages/anketa.php?uz='.$dt[0].'&amp;'.SID.'"><font color="#'.$pcol.'">'.nicknamed($dt[0],$number).'</font></a></b> ';

if ($avv[7]!="107"){

if ($avv[7]=="101"){$st = Админ; $stcol = ee4444;}

if ($avv[7]=="102"){$st = Админ; $stcol = ee6464;}

if ($avv[7]=="103"){$st = Модер; $stcol = 666699;}

if ($avv[7]=="106"){$st = V.I.P; $stcol = 999911;}

if ($avv[7]=="105"){$st = Модер; $stcol = 99555;} echo'<font color="#'.$stcol.'">['.$st.']</font>';

}echo ' '.$statwho;

if (!$log=="" && !md5($par)=="" && md5($par)==$provpar && $log==$provlog){

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105)

echo'<a href="../'.$config_mpanel.'/forum.php?event=topic&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;topicxd='.$a1.'&amp;page='.$page.'&amp;'.SID.'">[Del]</a>';

if($dt[14]=="s"){echo'[-]';}else{echo '<a href="index.php?event=topic&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;topicrd='.$a1.'&amp;page='.$page.'&amp;'.SID.'">[Цит]</a>';}

if (($dt[0]==$provlog && $dt[9] + 60*10 > time()) || $dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo '<a href="index.php?event=topic&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;topiced='.$a1.'&amp;page='.$page.'&amp;'.SID.'">[Edit]</a>'; }}

echo '</div><small><b>['.date_fixed($dt[6]).']</b></small></small>';

if($avv[36]>150 && $udata[36]>150){

if($udata[0]==$avv[0]){echo'<b>['.$avv[50].'+|-'.$avv[51].']</b>';}else{echo'<b>[</b><a href="../pages/raiting.php?uz='.$dt[0].'&amp;action=plus&amp;'.SID.'">'.$avv[50].'+</a><b>|</b><a href="../pages/raiting.php?uz='.$dt[0].'&amp;action=minus&amp;'.SID.'">-'.$avv[51].'</a><b>]</b><br>';}}

if($dt[14]=="s"){

if($udata[36]>500){echo'<br>'.$dt[4].'<br><font color="#ff0000">[Скрытый пост]</font><br]';}else{

echo'<br><font color="#ff0000">Это сообщение скрыто автором. <br>Для того что бы его прочесть у вас должно быть не менее <b> 500 </b> баллов.</font><br>';} }else{echo'<br>'.$dt[4].'<br>';}

////////////////Подсчет размера///////////////////

$a=$dt[12];

$b=$a;

$a=str_replace(".zip","",$a);

$total = count($a); #считаем

if(!$a==""){

if (empty($_GET['start'])) $start = 0; # для вывода

else $start = $_GET['start'];

if ($total < $start + $config_downlist){ $end = $total; }

else {$end = $start + $config_downlist; }

for ($i = $start; $i < $end; $i++){ #цикл

$siz= filesize("$dt[13]/$dt[12]");  # размер

$siz= round($siz/1024,2); # в килобайтах

$filtime=filemtime ("$did/$b[$i].txt");

$filtime=$filtime+(3600*24*5);  //Сколько файл считать новым сейчас уст. на 5 суток

$ttime=time();}}

///////////////////////////















/////////////скриншот/////////////////

if($dt[14]=="s" && $udata[36]<501){echo'<br>';}else{

if($dt[13]=="jpg"){echo'<br><br>Скриншот:<br><img src="resize.php?

act=jpg&amp;image='.$dt[12].'" alt="">';}

if($dt[13]=="gif"){echo'<br><br>Скриншот:<br>';

echo'<img src="resize.php?act=gif&amp;image='.$dt[12].'" alt="">';}

if($dt[13]=="png"){echo'<br><br>Скриншот:<br><img src="resize.php?act=png&amp;image='.$dt[12].'" alt="">';}

if($dt[13]=="bmp"){echo'<br><br>Скриншот:<br><img src="resize.php?act=bmp&amp;image='.$dt[12].'" alt="">';}}

//////////////////////

if ($dt[12]=="") {

}

else{

echo '<hr></div><img src="../images/img/files.gif" alt="">';

if($dt[14]=="s" && $udata[36]<501){echo' [Файл недоступен]';}else{echo'<a href="down.php?action=count&amp;did='.$dt[13].'&amp;fid='.$dt[12].'"><i>'.$dt[12].'</i></a> ('.$siz.' kb)';

$dfile = file("../local/downfor/$dt[12].dat");

$dtfile = explode("|",$dfile[0]);

echo' Скачали: '.(int)$dtfile[0].' раз.';}

if (($dt[0]==$provlog && $dt[9] + 60*10 > time()) || $dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo ' [<a href="../'.$config_mpanel.'/forum.php?event=topic&amp;r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;topicrd1='.$a1.'&amp;page='.$page.'&amp;'.SID.'">del</a>]<br>';

}

}

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==104 || $dostup==105)

echo'<div></div><small><font color="#CC00CC"> </font></small><br>';

} while($a1 < $u);

//////////////////////////////////////////////////////////////



$lines=file("../local/dataforum/$id.dat");

$a=count($lines);



$ba=ceil($a/$config_forumpost);

$ba2=floor(($a-1)/$config_forumpost)*$config_forumpost;

echo '<br>';



echo'<hr>Страницы:';

$asd=$page-($config_forumpost*3);

$asd2=$page+($config_forumpost*4);



if($asd<$a && $asd>0){echo ' <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;page=0&amp;'.SID.'">1</a> ... ';}



for($i=$asd; $i<$asd2;)

{

if($i<$a && $i>=0){

$ii=floor(1+$i/$config_forumpost);



if ($page==$i) {

echo ' <b>('.$ii.')</b>';

}

else {

echo ' <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;page='.$i.'&amp;'.SID.'">'.$ii.'</a>';

}}



$i=$i+$config_forumpost;}

if($asd2<$a){echo ' ... <a href="index.php?r='.$r.'&amp;fid='.$fid.'&amp;id='.$id.'&amp;page='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}

///////////////////////////////////////////////////



######################

$lines2=file("../local/dataforum/$id.dat");

$lines2=array_reverse($lines2);

$ddd=explode("|", $lines2[0]);

if ($ddd[9]!="CLOSED"){



if (!$log=="" && !md5($par)=="" && md5($par)==$provpar && $log==$provlog && $dostup!=="108"){



if (ereg("ON",$ddd[10])) {$locked="ON";}



if (isset($topiced)) {

$lines2=file("../local/dataforum/$id.dat");

$prov=$lines2[$topiced-1];

$ddd=explode("|", $prov);





if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

$adminy="yes";}

if ($adminy!=="yes" && ($ddd[0]!==$provlog || $ddd[9] + 60*10 < time())){

echo'<br><b>Время, в течение которого разрешено редактирование, истекло!</b><br>';

include_once"../themes/$config_themes/foot.php";

exit; }

else{

$topiced=$topiced-1;



$lines = file("../local/dataforum/$id.dat");

$dt = explode("|", $lines[$topiced]);



$dt[4] = preg_replace('#<br><small><font color="red">Измененно:(.*?)</font></small>#si', '', $dt[4]);

$dt[4]=str_replace('<img src="../images/smiles/',':',$dt[4]);

$dt[4]=str_replace('.gif" alt="">','',$dt[4]);

$dt[4]=str_replace ("<br>","\r\n",$dt[4]);

$dt[4]=str_replace ("<br />","\r\n",$dt[4]);



echo '<hr><form action="index.php?event=topiced&amp;r='.$r.'&amp;fid='.$fid.'&amp;topiced='.$topiced.'&amp;page='.$page.'&amp;'.SID.'" method="post">';

echo 'Редактирование сообщения<br>';

echo '<br><b>Сообщение:</b><br>';

echo '<textarea name="msg" cols="25" rows="3">'.$dt[4].'</textarea>';

echo '<input type="hidden" name="$userfile" value="'.$dt[12].'" />';

echo '<input type="hidden" name="ext1" value="'.$dt[13].'" />';



echo'<input type="hidden" name="skryt" value="'.$dt[14].'" />';

echo '<input type="hidden" name="id" value="'.$dt[7].'" />';

echo '<input type="hidden" name="fdate" value="'.$dt[5].'" />';

echo '<input type="hidden" name="ftime" value="'.$dt[6].'" />';

echo '<input type="hidden" name="userfile" value="'.$dt[12].'" />';

echo '<input type="hidden" name="ext1" value="'.$dt[13].'" />';



echo '<input type="hidden" name="fnomer" value="'.$topiced.'" />';

echo '<input type="hidden" name="timetk" value="'.$dt[9].'" />';



echo '<input type="hidden" name="page" value="'.$page.'" /><br><br>';

echo '<input type="hidden" name="redq" value="yes" />';

if (isset($locked) && $locked=="ON")

{echo'<input type="hidden" name="locked" value="ON" />';}

echo '<input type="submit" value="Изменить" /></form>';



}}

//-------------------------------------------цитата----------------------------------//





elseif (isset($topicrd)) {

$topicrd=$topicrd-1;

$lines = file("../local/dataforum/$id.dat");

$pagg=count($lines2);

if ($pagg==$page+$config_forumpost) $page=$page+$config_forumpost;

$dt = explode("|", $lines[$topicrd]);

$citcit = substr_count($dt[4],"[cit]");

if ($citcit !==0) {$dt[4] = preg_replace('#(.*?)\[/cit\]#si', '', $dt[4]);}



$dt[4] = preg_replace('#<br><small><font color="red">Измененно: (.*?)</font></small>#si', '', $dt[4]);

$dt[4]=str_replace('<img src="../smiles/',':',$dt[4]);

$dt[4]=str_replace('<img src="../images/smiles/',':',$dt[4]);

$dt[4]=str_replace('.gif" alt="">','',$dt[4]);

$dt[4]=str_replace ("<br>","\r\n",$dt[4]);

$dt[4]=str_replace ("<br />","\r\n",$dt[4]);

$imechko=nicknamed($dt[0],$number);

$dt[4]=str_replace ("$dt[4]","[green]$imechko пишет: [/green][cit] $dt[4] [/cit] ",$dt[4]);



echo '<hr><form action="index.php?event=addanswer&amp;r='.$r.'&amp;fid='.$fid.'&amp;topicrd='.$topicrd.'&amp;page='.$page.'&amp;'.SID.'" method="post">';

echo 'Цитирование сообщения<br>';

echo '<br><b>Сообщение:</b><br>';

echo '<textarea name="msg" cols="25" rows="3">'.$dt[4].'</textarea>';

echo '<input type="hidden" name="name" value="'.$dt[0].'" />';

echo '<input type="hidden" name="id" value="'.$dt[7].'" />';

echo '<input type="hidden" name="fdate" value="'.$dt[5].'" />';

echo '<input type="hidden" name="ftime" value="'.$dt[6].'" />';

echo '<input type="hidden" name="fnomer" value="'.$topicrd.'" />';

if (isset($locked) && $locked=="ON")

{echo'<input type="hidden" name="locked" value="ON" />';}



echo '<input type="hidden" name="timetk" value="'.$dt[9].'" />';

echo '<input type="hidden" name="page" value="'.$page.'" /><br><br>';

echo '<input type="submit" value="Отправить" /></form>';

}

//---------------------------конец цитаты-------------------------------//



else {

$lines2=file("../local/dataforum/$id.dat");

$pagg=count($lines2);

if ($pagg==$page+$config_forumpost) $page=$page+$config_forumpost;

if($config_themes!=="wml"){

if (ereg('Opera Mini', "$_SERVER[HTTP_USER_AGENT]"))

{echo'<br><br>';

echo'<form enctype="multipart/form-data" action="index.php?event=addanswer&amp;r='.$r.'&amp;fid='.$fid.'&amp;'.SID.'" method="post">';

echo'<input type="hidden" name="id" value="'.$id.'" />';

echo'<input type="hidden" name="page" value="'.$page.'" />';

if (isset($locked) && $locked=="ON")

{echo'<input type="hidden" name="locked" value="ON" />';}



echo'<b>Сообщение:</b><br>';

echo'<textarea name="msg" cols="20" rows="3"></textarea><br>';



if($config_translit=="1"){

echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}



if($udata[36]>500){echo'Скрыть пост: <input name="skryt" type="checkbox" value="s" /><br>';}

echo'Путь к файлу:<br />

<input type="text" name="file1"><br />

<a href="op:fileselect">ОБЗОР</a><br />';

echo'<input type="submit" value="Отправить" /><br></form>';

}

else

{echo'<br><br>';

echo'<form enctype="multipart/form-data" action="index.php?event=addanswer&amp;r='.$r.'&amp;fid='.$fid.'&amp;r1=pc&amp;'.SID.'" method="post">';

echo'<input type="hidden" name="id" value="'.$id.'" />';

echo'<input type="hidden" name="page" value="'.$page.'" />';

if (isset($locked) && $locked=="ON")

{echo'<input type="hidden" name="locked" value="ON" />';}

echo'<b>Сообщение:</b><br>';

echo'<textarea name="msg" cols="20" rows="3"></textarea><br>';

if($config_translit=="1"){echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}



if($udata[36]>500){echo'Скрыть пост: <input name="skryt" type="checkbox" value="s" /><br>';}

if($udata[36]>150){echo'Путь к файлу:<br /><input name="userfile" type="file" /><br />';

}echo'<input type="submit" value="Отправить"/></form>'; }

}}}else{

echo'<br><br>Вы не авторизованы,<br> для добавления сообщения необходимо <a href="../pages/vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="../pages/registration.php?'.SID.'"> зарегистрироваться</a><br>'; }

}else{echo "<br>";}





echo'<hr><a href="#up"><img src="../images/img/ups.gif" alt=""></a> <a href="../pages/smiles.php?'.SID.'">Смайлы</a>  | ';

echo'<a href="addtem.php?action=tegi&amp;'.SID.'">Теги</a>  | ';

}}



} // if есть FID и ID

echo'<a href="../forum/top.php?'.SID.'">Топ тем</a>  | ';

echo'<a href="../forum/topusers.php?'.SID.'">Топ юзеров</a>  | ';

echo'<a href="addtem.php?action=tabu&amp;'.SID.'">Правила</a> | ';

echo'<a href="search.php?'.SID.'">Поиск</a> | <br>';

echo'<img src="../images/img/files.gif" alt=""> <a href="attache.php?'.SID.'">Файлы форума</a>';

require_once"files.php";





if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ){

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){ echo'<img src="../images/img/edit.gif" alt=""> <a href="../'.$config_mpanel.'/forum.php?'.SID.'">Управление форумом</a><br>';}}





echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';

include_once"../themes/$config_themes/foot.php";

?>

